TransferResponseChecker (The Data Transfer Scheduler Service 2.0.0-2.17.2 API)
Date: 2014-01-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.scheduler.impl.newhandler
Class TransferResponseChecker

    java.lang.Object
      org.gcube.datatransfer.common.messaging.MessageChecker<org.gcube.datatransfer.common.messaging.messages.TransferResponseMessage>
          org.gcube.datatransfer.scheduler.impl.newhandler.TransferResponseChecker

    public class TransferResponseChecker

extends org.gcube.datatransfer.common.messaging.MessageChecker<org.gcube.datatransfer.common.messaging.messages.TransferResponseMessage>

Author:
  Nikolaos Drakopoulos(CERN)

Field Summary

Fields inherited from class org.gcube.datatransfer.common.messaging.MessageChecker
`scope, subscriberEndpoint`

Constructor Summary
`TransferResponseChecker(org.gcube.common.core.scope.GCUBEScope scope, String subscriberEndpoint)`

Method Summary
`void` | `check(org.gcube.datatransfer.common.messaging.messages.TransferResponseMessage message)`
`void` | `getAndStoreOutcomes(org.gcube.datatransfer.scheduler.db.model.Transfer transfer, String transferId, ArrayList<org.gcube.datatransfer.common.outcome.FileTransferOutcome> outcomes)`
`void` | `handleResult(org.gcube.datatransfer.common.messaging.messages.TransferResponseMessage message)`
`void` | `sleepSixSec()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransferResponseChecker

    public TransferResponseChecker(org.gcube.common.core.scope.GCUBEScope scope,
                                   String subscriberEndpoint)

Method Detail

### check

    public void check(org.gcube.datatransfer.common.messaging.messages.TransferResponseMessage message)

  Specified by:
    `check` in class `org.gcube.datatransfer.common.messaging.MessageChecker<org.gcube.datatransfer.common.messaging.messages.TransferResponseMessage>`

### handleResult

    public void handleResult(org.gcube.datatransfer.common.messaging.messages.TransferResponseMessage message)

### getAndStoreOutcomes

    public void getAndStoreOutcomes(org.gcube.datatransfer.scheduler.db.model.Transfer transfer,
                                    String transferId,
                                    ArrayList<org.gcube.datatransfer.common.outcome.FileTransferOutcome> outcomes)

### sleepSixSec

    public void sleepSixSec()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.